Skip to main content

/cosmos/distribution/v1beta1/validators/{validator_address}/outstanding_rewards

GET

Retrieves outstanding rewards for the given validator address.
Path Parameters
validator_addressstringrequired
Validator address to query.
Responses
Outstanding rewards of the validator. Trackable at low cost and allows simple sanity checks.
denomstring
amountstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-babylon-mainnet.nodit.io/cosmos/distribution/v1beta1/validators/{validator_address}/outstanding_rewards' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'